Use the Add Offer reference payload request to add an offer to the reservation workbench as part of the booking workflow. The reference payload request sends identifiers from the Search response instead of full itinerary details.
NDC supports only the reference payload. For GDS, you can send either a reference payload or a full payload.
To use the Add Offer reference payload request following a search request, your initial Search request must send 'offersPerPage' to invoke caching if that Search was journey-based (leg-based search results are always cached). If you add the offer after a price request, you can send the transaction identifier from the AirPrice response.
Add Multiple Offers (GDS only; not supported for NDC): In either the initial booking workflow, or for an existing reservation, you can send one or more Add Offer requests to add multiple GDS air offers in a single booking. While there is no specific limit on the number of offers that can be combined, a reservation cannot have more than 16 flight segments.
Also supported in the Add Offer full payload request. Your PCC must be provisioned for multi-offers; contact your Travelport representative if necessary. See Multi-offer Bookings in the Flights Booking Guide.
You can also use Add Offer to add a GDS air offer to an existing reservation that has hotel and/or car offers. See the Multi-Content Booking Guide (Air, Car, Hotel) for workflow details.
Add offer to expired booking:
For GDS only: use this Add Offer reference payload request or the full payload request to add an offer to an existing reservation, such as when the previously added offer has expired and can no longer be booked.
For NDC, use the NDC-specific Standalone Reprice API instead to add an offer to an expired booking.)
Add Offer Reference Payload request payload.
Discriminator. No child classes
Optional object to send the BIN/INN (IssuerIdentificationNumber) of the credit card to be used for payment; sending the BIN returns OB fees in the response
Required when using Air Canada flight pass.
NDC only; not supported for GDS.
Supports values from 0 to 99 inclusive. Send to request upsell offers along with pricing for the requested class of service or cabin, returned in ascending price order. An upsell is the next highest fare in a different brand or cabin than requested.
Upsells are returned as follows:
- If upsells not requested: Only the requested offer is returned.
- If one upsell requested: The lowest priced offer in the requested class of service or cabin plus one upsell offer are returned.
- If two or more upsells requested: The lowest priced offer in the requested class of service or cabin plus the requested number of upsell offers are returned.
- https://api.pp.travelport.net/11https://api.pp.travelport.net/11/air/book/airoffer/reservationworkbench/{ReservationResource_Identifier}/offers/buildfromcatalogproductofferings
- https://api.travelport.net/11https://api.travelport.net/11/air/book/airoffer/reservationworkbench/{ReservationResource_Identifier}/offers/buildfromcatalogproductofferings
curl -i -X POST \
https://api.pp.travelport.net/11/air/book/airoffer/reservationworkbench/49f58f5f-c443-43b4-9f5d-be405fd00a01/offers/buildfromcatalogproductofferings \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'TVP-PCC-Core: DU7_1G' \
-H 'TraceId: TraceID_123456789' \
-H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
-H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
-d '{
"@type": "OfferQueryBuildFromCatalogProductOfferings",
"BuildFromCatalogProductOfferingsRequestAir": {
"@type": "BuildFromCatalogProductOfferingsRequestAir",
"CatalogProductOfferingsIdentifier": {
"Identifier": {
"value": "dcc7cda4-454a-4790-b713-04e7d74417da"
}
},
"CatalogProductOfferingSelection": [
{
"CatalogProductOfferingIdentifier": {
"Identifier": {
"value": "o1"
}
},
"ProductIdentifier": [
{
"Identifier": {
"value": "p9"
}
}
]
}
]
}
}'OK - Successful Response - 200
{ "OfferListResponse": { "OfferID": [ null ], "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }